## org.apache.tools.ant.taskdefs.optional.jlink
Class ClassNameReader

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.jlink.ClassNameReader

public class ClassNameReader
extends java.lang.Object

Provides a quick and dirty way to determine the true name of a class given just an InputStream. Reads in just enough to perform this minimal task only.

Constructor Summary
`ClassNameReader()`

Method Summary
`static java.lang.String` `getClassName(java.io.InputStream input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNameReader

    public ClassNameReader()

Method Detail

### getClassName

    public static java.lang.String getClassName(java.io.InputStream input)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.